=== debian/changelog ===
firefox-meerkat (0.1jolicloud1) robby; urgency=low

  * Bumping the max supported Firefox version to 3.6

 -- Andrew Stormont <andy@jolicloud.org>  Fri, 26 Mar 2010 15:00:17 +0100

firefox-meerkat (0.1jolicloud0) robby; urgency=low

  * Initial release.

 -- Romain Huet <romain@jolicloud.org>  Wed, 12 Aug 2009 18:59:42 +0200
