=== debian/control ===
Source: firefox-meerkat
Section: web
Priority: optional
Maintainer: Jolicloud Developers <developers@jolicloud.org>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.8.0
Homepage: http://banshee-project.org/~abock/meerkat/

Package: firefox-meerkat
Architecture: all
Depends: firefox | abrowser | firefox-3.0 | firefox-3.5, ${shlibs:Depends}
Description: Meerkat extension for Mozilla Firefox
 Meerkat is a Firefox extension that transforms the user interface to one
 more suitable to Netbook devices. It implements a Google Chrome style status
 bar, where it is only visible when relevant.
