=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

EXTENSION_UUID		= {90203d6b-6997-4bf5-832d-e21edf2b9003}
EXTENSION_NAME 		= meerkat
EXTENSION_FILES		= content skin chrome.manifest install.rdf

# Don't edit it!
EXTENSION_DEBNAME	= firefox-$(EXTENSION_NAME)
EXTENSION_DIR		= usr/share/mozilla-extensions
DESTDIR 		= $(CURDIR)/debian/$(EXTENSION_DEBNAME)/$(EXTENSION_DIR)/$(EXTENSION_DEBNAME)

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE)
	mkdir -p $(DESTDIR)
	cp -a $(EXTENSION_FILES) $(DESTDIR)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link $(EXTENSION_DIR)/$(EXTENSION_DEBNAME) /usr/lib/firefox/extensions/$(EXTENSION_UUID)
	dh_link $(EXTENSION_DIR)/$(EXTENSION_DEBNAME) /usr/lib/firefox-addons/extensions/$(EXTENSION_UUID)
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean install binary-indep binary-arch binary
